curl --request GET \
--url https://api.dfns.io/wallets/all/history \
--header 'Authorization: Bearer <token>'{
"orgId": "<string>",
"items": [
{
"timestamp": "<string>",
"walletId": "<string>",
"network": "<string>",
"direction": "<string>",
"txHash": "<string>",
"from": "<string>",
"to": "<string>",
"amount": "<string>",
"tokenId": "<string>",
"asset": "<string>",
"symbol": "<string>",
"decimals": "<string>",
"fee": "<string>",
"feeSymbol": "<string>",
"feeDecimals": "<string>"
}
],
"nextPageToken": "<string>"
}Retrieve the transaction history across all wallets within a specified timeframe.
curl --request GET \
--url https://api.dfns.io/wallets/all/history \
--header 'Authorization: Bearer <token>'{
"orgId": "<string>",
"items": [
{
"timestamp": "<string>",
"walletId": "<string>",
"network": "<string>",
"direction": "<string>",
"txHash": "<string>",
"from": "<string>",
"to": "<string>",
"amount": "<string>",
"tokenId": "<string>",
"asset": "<string>",
"symbol": "<string>",
"decimals": "<string>",
"fee": "<string>",
"feeSymbol": "<string>",
"feeDecimals": "<string>"
}
],
"nextPageToken": "<string>"
}CustomerEmployee)EndUser)Wallets:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Maximum number of items to return.
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
1Was this page helpful?